Bug 1331466 (CVE-2016-2516)

Summary: CVE-2016-2516 ntp: assertion failure in ntpd on duplicate IPs on unconfig directives
Product: [Other] Security Response Reporter: Martin Prpič <mprpic>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: jaeshin, mlichvar, sardella, slawomir
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: ntp 4.2.8p7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-05-02 12:56:01 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1332160    
Bug Blocks: 1331437    

Description Martin Prpič 2016-04-28 14:52:50 UTC
The following flaw was found in ntpd:

If ntpd was expressly configured to allow for remote configuration, a malicious user who knows the controlkey for ntpq or the requestkey for ntpdc (if mode7 is expressly enabled) can create a session with ntpd and if an existing association is unconfigured using the same IP twice on the unconfig directive line, ntpd will abort.

Upstream bugs:

http://support.ntp.org/bin/view/Main/NtpBug3011

External References:

http://support.ntp.org/bin/view/Main/SecurityNotice#April_2016_NTP_4_2_8p7_Security

Comment 1 Martin Prpič 2016-05-02 11:37:40 UTC
Created ntp tracking bugs for this issue:

Affects: fedora-all [bug 1332160]

Comment 2 Martin Prpič 2016-05-02 12:56:01 UTC
Mitigation:

Disable remote configuration of NTP, or restrict this ability to trusted users.

Comment 3 Fedora Update System 2016-05-07 11:42:11 UTC
ntp-4.2.6p5-40.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-05-10 17:58:37 UTC
ntp-4.2.6p5-40.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-05-12 07:21:45 UTC
ntp-4.2.6p5-40.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.